Skip to main content
GET
Get Provider Spec

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider_spec_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

created_at
string<date-time>
required
description
string | null
required
icon
string | null
required
icon_url
string | null
required
id
string
required
is_builtin
boolean
required
is_first_party
boolean
required
models
ModelSpecResponse · object[]
required
name
string
required
provider_key
string
required
provider_type
string
required
updated_at
string<date-time>
required